lapply {base} | R Documentation

## Apply a Function over a List or Vector

### Description

`lapply` returns a list of the same length as `X`. Each element of which is the result of applying `FUN` to the corresponding element of `X`.

`sapply` is a ``user-friendly'' version of `lapply` also accepting vectors as `X`, and returning a vector or array with `dimnames` if appropriate.

### Usage

    lapply(X, FUN, ...)
    sapply(X, FUN, ..., simplify = TRUE, USE.NAMES = TRUE)

### Arguments

`X` | list or vector to be used.
`FUN` | the function to be applied. In the case of functions like `+`, `%*%`, etc., the function name must be quoted.
`...` | optional arguments to `FUN`.
`simplify` | logical; should the result be simplified to a vector if possible?
`USE.NAMES` | logical; if `TRUE` and if `X` is character, use `X` as `names` for the result unless it had names already.

### See Also

`apply`, `tapply`.

### Examples

    x <- list(a = 1:10, beta = exp(-3:3), logic = c(T,F,F,T))
    # compute the list mean for each list element
    lapply(x,mean)
    # median and quartiles for each list element
    lapply(x, quantile, probs = 1:3/4)
    sapply(x, quantile)
    str(i39 <- sapply(3:9, seq))# list of vectors
    sapply(i39, fivenum)

[Package Contents]